# Export

To export all polls results for a room you need to execute a **GET** request against the **/rooms/:roomId/polls/export** endpoint.&#x20;

A human readable response is returned where the amount of votes for each option and also the name of the people which voted for each option are listed. Note that the names are **never** listed if the poll is anonymous.

{% hint style="info" %}
Use the **session\_id** argument if you want to export poll results for a concrete session.\
<https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/polls/export?**session\\_id**=16e44502-dae5-41f9-b095-e41bf6ac2d1d>
{% endhint %}

#### Request&#x20;

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --request GET \
  --url https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/polls/export \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());

//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

HttpRequest request = HttpRequest.newBuilder()
  .GET()
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId + "/polls/export"))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

#### Response (200 OK) with a file attachment

```json
How many languages have you learned?
 - One: 7 
 - Two: 6 
 - Three: 2 
 - More than three: 1 
Votes: 16
Status: ended
Started: 2024-06-27T14:32:03Z
Ended: 2024-06-27T14:40:14Z

How old are you? 
 - 18-20: 6 
 - 21-30: 2 
 - 31-40: 5
 - 41-50: 4
 - 51-60: 3
Votes: 20
Status: ended
Started: 2024-06-27T15:16:05Z
Ended: 2024-06-27T15:24:14Z
```

{% hint style="info" %}
Use the **format** param if you want to export as a JSON file. Permitted values for the **format** param are **txt** and **json**.\
\
/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/polls/export?format=json
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/polls/export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
